Subject: Re: [RFC PATCH v3 0/5] powerpc: Support context tracking for Power pSeries

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 13 May 2013 18:59:23 +1000

On Mon, 2013-05-13 at 16:03 +0800, Li Zhong wrote:
> 
> To my understanding, it is used to enable RCU user extended quiescent
> state, so RCU on that cpu doesn't need scheduler ticks. And together
> with some other code(already in 3.10), we are able to remove the ticks
> in some cases (e.g. only 1 task running on the cpu, with some other
> limitations).

Ok, sounds interesting. Once you fix the little cosmetic issue, I don't
see any reason not to merge them as it's basically wiring up an existing
feature (in that regard the patches are pretty straightforward) and I
assume the overhead is only there when you enable it.

Cheers,
Ben.